Stories
Slash Boxes
Comments
NOTE: use Perl; is on undef hiatus. You can read content, but you can't post it. More info will be forthcoming forthcomingly.

All the Perl that's Practical to Extract and Report

The Fine Print: The following comments are owned by whoever posted them. We are not responsible for them in any way.
 Full
 Abbreviated
 Hidden
More | Login | Reply
Loading... please wait.
  • The fact that you have to have adept-level Perl 5 experience to understand how to use Perl 5 (the language) in the fashion most useful for novices is a huge problem.

    • So what do you feel is the solution, and what are the small problems that would go away once we had a working candidate solution?

      • As you suggest, a CPAN configuration usable by novices from a freshly-installed Perl 5 is important.

        Moose installed by default is another piece.

        The strict, warnings, and feature pragmas on by default is the most controversial, but perhaps the most rewarding. I can hear the angry buzz of replies in the distance, but imagine if the only piece of little magic we had to explain to novices was "If you want to maintain this code for a long time, add a use 5.12; line to the top to identify which version of the Pe

        • The only major problem with this is that most of the novices - at least those I encounter - need to use old versions of perl.

          So the usefulness of this would only be seen later down the road and only by some of the new users.

          But one needs to step on the road to get there.

          --
          • If we never get around to it because “it won’t help users now” then we’ll still be saying the same thing in 10 years. Sure, we’ll have to find interim solutions, but let’s not sacrifice the future for the more pressing present concerns.